Bug 991691 - Odd Stippling in Spyder
Odd Stippling in Spyder
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: spyder (Show other bugs)
19
x86_64 Linux
unspecified Severity low
: ---
: ---
Assigned To: Radek Novacek
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-03 13:17 EDT by Redoubts
Modified: 2016-11-30 19:31 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1018507 (view as bug list)
Environment:
Last Closed: 2015-02-17 11:33:09 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Stippling in Fedora 19 (147.38 KB, image/png)
2013-08-03 13:17 EDT, Redoubts
no flags Details

  None (edit)
Description Redoubts 2013-08-03 13:17:56 EDT
Created attachment 782343 [details]
Stippling in Fedora 19

Description of problem:
There is an odd, ugly Stippling which separates the window components of the IDE. See attachment, and look hard - it's white dots on an off-white background.

Version-Release number of selected component (if applicable):
2.2.1, Through Yum

How reproducible:
Every Time

Steps to Reproduce:
1. Load Spyder
2. Observe

Expected result:
Something less 1990s.

Additional info:
I'm not sure who is to "blame" for this. I've seen this issue in some GTK themes but not others (https://github.com/shimmerproject/Greybird/issues/30), so I'm temped to point to theme authors for this divider element existing as is. Since Spyder is a Qt program, maybe it is choosing the element poorly for GTK. Perhaps you can provide better guidance.

There is a screenshot attached here, and a similar screenshot of the problem in the link above.
Comment 1 Radek Novacek 2013-08-05 03:53:36 EDT
You might try to change the style of GUI components. Use qtconfig-qt4 program to change the GUI style and then delete line starting with "windows_style" (without quotes) in the configuration file ~/.spyder2/.spyder.ini.

After restart of spyder, it should use given theme.

I don't think there is nothing else I can do about it. That ugly dotted thing comes from the theme and the authors of the theme can change it.
Comment 2 Fedora End Of Life 2015-01-09 14:15:42 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 3 Fedora End Of Life 2015-02-17 11:33:09 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.